/* INFOH302 - TP04-05 - Exercice 1: Iterator
*
*   Écrire un itérateur donnant la suite des nombres i*i 
*   pour i=1,2,3…n, où n est un paramètre,
*   et illustrer son usage par un exemple
*/

public class SquareIterator {
    private int max;
    private int last=0;

    public SquareIterator(int max) {
        this.max=max;
    }

    public int next() {
		last++;
        return last*last;
    }

    public boolean hasNext() {
        return max>last;
    }

    public static void main(String[] args) {
		System.out.println("Square Iterator");
        SquareIterator it = new SquareIterator(8);
        while(it.hasNext()) {
			System.out.println(it.next());
        }
    }
}
