/* INFOH302 - TP04-05 - Exercice 2: Template Method */

import java.io.FileWriter;
import java.io.IOException;

public class FileLogger extends Logger  {
	private FileWriter fw; // we should somehow close the file (sometimes).
	
	public FileLogger(String sFileName) {
		try {
			fw = new FileWriter(sFileName);
		} catch ( IOException e) { 
			e.printStackTrace();
		}
	}
    
	protected void record(String message) {
        try {
        	fw.write(message);
		} catch ( IOException e) { 
        	e.printStackTrace();
        }
    }
}


