/* INFOH302 - TP04-05 - Exercice 5: Command */

public class AddCommand implements Command{

	private int posy;
	private int posx;
	private Park park;

	public AddCommand(int posy, int posx, Park park) {
		this.posy = posy;
		this.posx = posx;
		this.park = park;
	}

	public void execute() throws CommandException
	{
		try {
			park.addWanderer(posx, posy);
		} catch (Exception e) {
			throw new CommandException(e.getMessage());
		}
	}

	public void undo() {
		park.removeLastWanderer();
	}

	public String toString() {
		return "add "+posx+" "+posy;
	}

}
