/* INFOH302 - TP04-05 - Exercice 3: Observer */

public class SimpleWeatherClient implements Observer {
    private WeatherServer weather;
    private String name;

	public SimpleWeatherClient(WeatherServer weather, String name) {
        this.weather = weather;
        weather.attach(this);
        this.name = name;
    }

    public void update() {
        String sun = this.weather.getSun();
        System.out.println(this.name+": "+this.weather.getTemp()+", "+sun);
    }
}
