/* INFOH302 - TP04-05 - Exercice 3: Observer */

import java.util.Iterator;
import java.util.Set;
import java.util.HashSet;


public class WeatherServer implements Subject {
    private Set observers=new HashSet();
    private String sun;
    private int temp=0;

    public void notifyObservers() {
		Iterator it=observers.iterator();
        while(it.hasNext())
            ((Observer)it.next()).update();
    }

    public void detach(Observer o) {
		observers.remove(o);
    }

    public void attach(Observer o) {
		observers.add(o);
    }

    public String getSun() {
		return sun;
	}

	public int getTemp() {
		return this.temp;
    }

	public void setWeather(String sun, int temp) {
		this.sun = sun;
		this.temp = temp;
		this.notifyObservers();
	}
}
