/* INFOH302 - TP04-05 - Exercice 4: Composite */

public class Number implements Expression {

	private double value;

	public Number(double value) {
		this.value = value;
	}

	public double evaluate() {
		return value;
	}

	public ExpressionIterator iterator() {
		return new NumberIterator(this);
	}

	public ExpressionIterator fasterIterator() {
		return new FasterExpressionIterator(this);
	}

	public String atomString() {return toString();};
	public String toString() {return Double.toString(value);}

	public Expression getLeft() {return null;}
	public Expression getRight() {return null;}
}
