/* INFOH302 - TP04-05 - Exercice 4: Composite */

public class DivideOperation extends Operation {

	public DivideOperation(Expression leftExp, Expression rightExp) {
		super(leftExp, rightExp);
	}

	public double evaluate() {
		return leftExp.evaluate()/ rightExp.evaluate() ;
	}

	@Override
	public String opString() {
		return "/";
	}

}